/**
 * 这是商品资料库相关的业务逻辑的服务
 */
export default class BeautyArchiveService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'BeautyArchiveService'
    }

    /* 获取资料库商品列表 */
    GetArchiveProduct(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/product/archive',
            data,
            isLoading: true,
            isHost: true
        })
    }

    /* 获取商品资料列表 */
    GetProdcutArchiveDetails(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/product/archive/detail',
            data,
            isLoading: true,
            isHost: true
        })
    }

    /* 采美豆抵扣 */
    SearchArchiveByBeans(data = {}) {
        return this.AjaxService.post({
            url: '/user/club/archive/deduction',
            data,
            isLoading: true,
            isHost:true
        })
    }
}
